commit dece0d8ec8f6cc30713ecafdfacb999e9f0822d0
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Jun 25 19:31:22 2021

    libstdc++: Remove noexcept from syncbuf::swap (LWG 3498)
    
    The proposed resolution for the inconsistent noexcept-specifiers in the
    spec is to remove it from bto hthe assignment operator and swap.
    
    libstdc++-v3/ChangeLog:
    
            * include/std/syncstream (basic_syncbuf::swap()): Remove
            noexcept, as per LWG 3498.
    
    (cherry picked from commit 7ab7fa1b51cb7227e051842bcb971b95c962327a)

diff --git a/libstdc++-v3/include/std/syncstream b/libstdc++-v3/include/std/syncstream
index 299941f651c..db6ebd50471 100644
--- a/libstdc++-v3/include/std/syncstream
+++ b/libstdc++-v3/include/std/syncstream
@@ -114,7 +114,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
       }
 
       void
-      swap(basic_syncbuf& __other) noexcept
+      swap(basic_syncbuf& __other)
       {
 	using _ATr = allocator_traits<_Alloc>;
 	if constexpr (!_ATr::propagate_on_container_swap::value)

